#ifndef __rp3d__
#define __rp3d__

#lang "fb"

' optional using import lib's on Windows
#ifdef __FB_WIN32__
 #ifndef __FB_64BIT__
  #libpath "lib/win32"
 #else
  #libpath "lib/win64"
 #endif
#endif

#ifndef __FB_64BIT__
 #inclib "reactphysics3d-c-0.7.1-32"
#else
 #inclib "reactphysics3d-c-0.7.1-64"
#endif

#include once "inc/rp3d_config.bi"

#include once "inc/rp3d_classes.bi"

#include once "inc/rp3d_math.bi"

#include once "inc/rp3d_collision.bi"

#include once "inc/rp3d_body.bi"

#include once "inc/rp3d_collisionworld.bi"

#include once "inc/rp3d_collisionbody.bi"

#include once "inc/rp3d_jointinfo.bi"

#include once "inc/rp3d_dynamicsworld.bi"

#include once "inc/rp3d_material.bi"

#include once "inc/rp3d_rigidbody.bi"

#include once "inc/rp3d_joint.bi"

#include once "inc/rp3d_sphereshape.bi"

#include once "inc/rp3d_capsuleshape.bi"

#include once "inc/rp3d_boxshape.bi"

#include once "inc/rp3d_convexmeshshape.bi"

#include once "inc/rp3d_concavemeshshape.bi"

#include once "inc/rp3d_proxyshape.bi"


#endif ' __rp3d__
